### 5.1.167 varstr

`Syntax:`
  `varstr (` ring_name `)`
  `varstr (` int_expression `)`
  `varstr (` ring_name`,` int_expression `)`
`Type:`
  string
`Purpose:`
  returns the list of the names of the ring variables as a string or the name of the n-th ring variable, where n is given by the int_expression.
  If the ring name is omitted, the basering is used, thus `varstr(n)` is equivalent to `varstr(basering,n)`.
`Example:`

        ring r=0,(x,y,z),dp;
        varstr(r);
      ==> x,y,z
        varstr(r,1);
      ==> x
        varstr(2);
      ==> y

See charstr; int; nvars; ordstr; parstr; ring; var.

User manual for Singular version 4.4.1, 2025, generated by texi2html.